Subject: Budget watches for posh looks

From: " Sctp-impl-archive" <[email-masked] >
Date: Thu, 5 Jul 2007 22:49:01 -0500

Time to get rid of your old watch and get yourself a new luxury timepiece!
The quality of our watches is blameless – and so are our laughable prices!
Just pick up your favorite model by your favorite brand – and save large!
http://slonoima.com